# Eleos Example block

An example of how to implement an Eleos block.

## How it works
This block uses the core `block_content` module to provide a field-able
`block_content` entity.

On installation, a custom block type is created with Description and People
fields. These fields may be edited via the Field UI.

Before rendering, any block_content entity with an id prefixed with `eleos_`
will be preprocessed through the `eleos.widget` service (see the
`preprocessBlock` method). This method parses the block_content fields and
renders them into a `widget` array, which will in turn be output in the twig
template.

The `EleosWidget/EleosStandardExampleWidget` class is used to provide form
elements and add libraries to the block.
