<?php

declare(strict_types=1);

namespace Drupal\eleos;

use Drupal\block_content\Entity\BlockContent;

/**
 * The interface for Elios Widgets.
 */
interface WidgetDefinitionInterface {

  /**
   * {@inheritdoc}
   */
  public function elements(BlockContent $block): array;

  /**
   * {@inheritdoc}
   */
  public function libraries(): array;
}
